Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.solver
Class XmlSolverFactory

    java.lang.Object
      org.optaplanner.core.config.solver.XmlSolverFactory

All Implemented Interfaces:
  SolverFactory

    public class XmlSolverFactory

extends Object
implements SolverFactory

XML based configuration that builds a `Solver`.

See Also:
  `SolverFactory`

Constructor Summary
`XmlSolverFactory()`
`XmlSolverFactory(String resource)`

Method Summary
`void` | `addXstreamAnnotations(Class... xstreamAnnotations)`
`Solver` | `buildSolver()` Creates a new `Solver` instance.
`static com.thoughtworks.xstream.XStream` | `buildXstream()`
`XmlSolverFactory` | `configure(InputStream in)`
`XmlSolverFactory` | `configure(Reader reader)`
`XmlSolverFactory` | `configure(String resource)`
`SolverConfig` | `getSolverConfig()` Allows you to problematically change the `SolverConfig` at runtime before building the `Solver`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlSolverFactory

    public XmlSolverFactory()

### XmlSolverFactory

    public XmlSolverFactory(String resource)

Method Detail

### buildXstream

    public static com.thoughtworks.xstream.XStream buildXstream()

### addXstreamAnnotations

    public void addXstreamAnnotations(Class... xstreamAnnotations)

### configure

    public XmlSolverFactory configure(String resource)

### configure

    public XmlSolverFactory configure(InputStream in)

### configure

    public XmlSolverFactory configure(Reader reader)

### getSolverConfig

    public SolverConfig getSolverConfig()

  Description copied from interface: `SolverFactory`
  Allows you to problematically change the `SolverConfig` at runtime before building the `Solver`.

  Specified by:
    `getSolverConfig` in interface `SolverFactory`
  Returns:
    never null

### buildSolver

    public Solver buildSolver()

  Description copied from interface: `SolverFactory`
  Creates a new `Solver` instance.

  Specified by:
    `buildSolver` in interface `SolverFactory`
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.